[Ironruby-core] Installing rspec with IronRuby V 1

Mohammad Azam lists at ruby-forum.com
Fri Jun 4 19:28:19 EDT 2010


I downloaded and installed IronRuby V 1 awesome work guys!!

I went to command line and typed:

igem install rspec

and got the following message:


C:\Users\azamsharp>igem install rspec
WARNING:  Installing to ~/.gem since C:/Program Files/IronRuby
1.0v4/lib/ironrub
y/gems/1.8 and
          C:/Program Files/IronRuby 1.0v4/bin aren't both writable.
WARNING:  You don't have C:/Users/azamsharp/.gem/ironruby/1.8/bin in
your PATH,
          gem executables will not run.
**************************************************

  Thank you for installing rspec-1.3.0

  Please be sure to read History.rdoc and Upgrade.rdoc
  for useful information about this release.

**************************************************
Successfully installed rspec-1.3.0
1 gem installed
Installing ri documentation for rspec-1.3.0...
Installing RDoc documentation for rspec-1.3.0...
Could not find main page README.rdoc
Could not find main page README.rdoc
Could not find main page README.rdoc
Could not find main page README.rdoc

It says that:
WARNING:  You don't have C:/Users/azamsharp/.gem/ironruby/1.8/bin in
your PATH,
          gem executables will not run.

So, I went to the environment variable and set the above path in my PATH
variable. But I still get the above error.
-- 
Posted via http://www.ruby-forum.com/.


More information about the Ironruby-core mailing list